
#!/usr/bin/env python
# -*- coding: utf-8 -*-

import time
import subprocess

from board import SCL, SDA
import busio
from PIL import Image, ImageDraw, ImageFont
import adafruit_ssd1306
import adafruit_bme280
import adafruit_ccs811

i2c = busio.I2C(SCL, SDA)

disp = adafruit_ssd1306.SSD1306_I2C(128, 32, i2c)
bme280 = adafruit_bme280.Adafruit_BME280_I2C(i2c,address=0x76)
ccs811 = adafruit_ccs811.CCS811(i2c)

disp.fill(0)
disp.show()
width = disp.width
height = disp.height
image = Image.new("1", (width, height))
draw = ImageDraw.Draw(image)
draw.rectangle((0, 0, width, height), outline=0, fill=0)
padding = -2
top = padding
bottom = height - padding
x = 0
font = ImageFont.load_default()
cmd = "hostname -I | cut -d' ' -f1"
IP = subprocess.check_output(cmd, shell=True).decode("utf-8")

while True:

@@IP = subprocess.check_output(cmd, shell=True).decode("utf-8")
    temp = round(bme280.temperature,1)
    humi = round(bme280.humidity,1)
    pres = round(bme280.pressure,1)
    co2  = round(ccs811.eco2,1)
    draw.rectangle((0, 0, width, height), outline=0, fill=0)
    draw.text((x, top + 0), "IP: " + IP, font=font, fill=255)
    draw.text((x, top + 8), "Tmp:" + str(temp) + "C/" + "Hum:" + str(humi) + "%", fill=255)
    draw.text((x, top + 16),"Pres:" + str(pres) + "hPa", fill=255)
    draw.text((x, top + 25),"CO2:" + str(co2) + "ppm", fill=255)
    disp.image(image)
    disp.show()
    time.sleep(0.5)

